Skip to main content
GET
List tests for agent

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

agent_uuid
string
required

Agent whose linked tests to list

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Query Parameters

type
string[] | null

Keep only tests of these types. Repeat the parameter or pass one comma-separated value. Accepts response, tool_call, conversation, general

q
string | null

Case-insensitive search on name. Blank is a no-op

q_mode
enum<string>
default:contains

How to match q against the searched fields

Available options:
contains,
starts_with,
ends_with,
exact
limit
integer | null

Maximum number of items to return. Omit for no limit (all items)

Required range: 1 <= x <= 1000000
offset
integer
default:0

Number of items to skip before returning results

Required range: x >= 0

Response

Successful Response

items
TestListResponse · object[]
required

The page of results

total
integer
required

Total number of items matching the query, before pagination

limit
integer | null

The applied limit (null when unbounded)

offset
integer
default:0

The applied offset